function P = irwin_hall_cdf(n, x)

P = zeros(size(x));
for i = 1 : length(x),
    
    if x(i) <= 0 || x(i) >= n,
        P(i) = (x(i) >= n);
    else
        up_bd = floor(x(i));
        k = 0:up_bd;
        kparmin = factorial(n)./(factorial(n-k).*factorial(k));
        x_k = (x(i)-k).^n;
        P(i) = sum( (-1).^k.*kparmin.*x_k )/factorial(n);
    end

end