function adj_matrix = knn_oriented(dist_matrix, k)

adj_matrix = zeros(size(dist_matrix));

for i = 1: size(dist_matrix, 1),
    distances2pt_i = dist_matrix(i,:);
    [v, idxs] = sort(distances2pt_i);
    for j = idxs(2:k+1),
        adj_matrix(i, j) = 1;
    end
end