function index_next_point = find_next_point(points, adj_matrix, chain)

i1 = chain(end-1);
p1 = points(i1, :);
i2 = chain(end);
p2 = points(i2, :);

max_cos_theta = -1;
v = find(adj_matrix(i2, :));
jmax = v(1);
for k = 1:length(v),
    j = v(k);
    p3 = points(j, :);
    scalar_prod = (p2-p1)*(p3-p2)';
    cos_theta = scalar_prod/sqrt(((p2-p1)*(p2-p1)')*((p3-p2)*(p3-p2)'));
    if cos_theta > max_cos_theta,
        max_cos_theta = cos_theta;
        jmax = j;
    end
end
if  ~ismember(jmax, chain),
    index_next_point = jmax;
else
    index_next_point = [];
end
