function val = sym_gab_fun01(x, y, sigma, f, theta)

invariant_dir = pi/2 + theta ;
u = [cos(invariant_dir), sin(invariant_dir)];
sin_fun = cos( 2*pi*f*(-sin(theta)*x + cos(theta)*y));
exp_fun = exp(-0.5*(x.^2 + y.^2)/sigma^2);

val = 0.5*( 1 + sin_fun.*exp_fun );
